#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

/* Camera: Camera01 */
camera {
   location <5205.1641, -369.5688, 492.6416>
   direction <0, 0.818, 0>
   up <0, 0, 1>
   sky  <0, 0, 1>
   right <1.333, 0, 0>
   look_at <5137.9302, -28.3633, 331.7607>
}

/* Spotlight: Light01 */
light_source {
    <6982.3203, 1402.9871, 2115.5234> color rgb <1.00, 1.00, 1.00>
    spotlight
    point_at <5071.6030, -15.0478, 276.2342>
    tightness 0
    radius 0.50
    falloff 22.50
}

#declare GLASS = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 70.0
        reflection 0.530
        ior 1.1
        refraction 1.0
    }
    pigment { rgbf <0.971, 0.971, 0.971, 0.950> }
}

#declare BROWN_BUMPYBRICK = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 0.16
        phong_size 4.9
    }
    pigment { rgb <0.604, 0.000, 0.000> }
    /* Image map: BRNBRICK.CEL, Strength: 1.00 */
    /* Bump map: BRNBRICB.CEL, Strength: 0.09 */
}

#declare OLD_METAL = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 30.8
        reflection 0.840
    }
    pigment { rgb <0.000, 0.000, 0.000> }
}

#declare CHROME_VALLEY = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 0.86
        phong_size 25.9
        reflection 0.773
    }
    pigment { rgb <0.000, 0.000, 0.000> }
}

#declare BUD = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 41.3
    }
    pigment { rgb <0.000, 0.000, 0.000> }
    /* Image map: BUDWISER.TGA, Strength: 1.00 */
}

//   Object    CenterX    CenterY    CenterZ    LengthX    LengthY    LengthZ
// ---------- ---------- ---------- ---------- ---------- ---------- ----------
// GLASS         5310.66     188.54     320.96     244.46     243.12     335.61
// FLOOR01       4930.01     205.16     158.65    3179.43    2857.65       0.00
// Object        5090.95       0.00     306.31     140.67     139.91     291.57

#include "budgla.inc"
